Pass request environment to the external node classifier (ENC).
--- a/lib/puppet/indirector/exec.rb
+++ b/lib/puppet/indirector/exec.rb
@@ -7,6 +7,7 @@ class Puppet::Indirector::Exec < Puppet:
   # Look for external node definitions.
   def find(request)
     name = request.key
+    environment = request.environment
     external_command = command
 
     # Make sure it's an array
@@ -17,6 +18,7 @@ class Puppet::Indirector::Exec < Puppet:
 
     # Add our name to it.
     external_command << name
+    external_command << environment
     begin
       output = execute(external_command, :failonfail => true, :combine => false)
     rescue Puppet::ExecutionFailure => detail
